Skip to main content
POST
Create scheduled changes workflow

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

featureFlagKey
string<string>
required

The feature flag key

environmentKey
string<string>
required

The environment key

Query Parameters

ignoreConflicts
boolean

Whether to succeed (true) or fail (false) when these instructions conflict with existing scheduled changes

Body

application/json
executionDate
integer<int64>
required

When the scheduled changes should be executed

Example:

"1636558831870"

instructions
object[]
required

The actions to perform on the execution date for these scheduled changes. This should be an array with a single object that looks like {"kind": "scheduled_action"}. Supported scheduled actions include any semantic patch instructions available when updating a feature flag.

Example:

"[ { \"kind\": \"turnFlagOn\" }]"

comment
string

Optional comment describing the scheduled changes

Example:

"optional comment"

Response

Scheduled changes response

_id
string
required

The ID of this scheduled change

Example:

"12ab3c45de678910abc12345"

_creationDate
integer<int64>
required

Timestamp of when the scheduled change was created

Example:

"1654123897062"

_maintainerId
string
required

The ID of the scheduled change maintainer

Example:

"12ab3c45de678910abc12345"

_version
integer
required

Version of the scheduled change

Example:

1

executionDate
integer<int64>
required

When the scheduled changes should be executed

Example:

"1636558831870"

instructions
object[]
required

The actions to perform on the execution date for these scheduled changes

Example:

"[ { \"kind\": \"turnFlagOn\" }]"

conflicts
any

Details on any conflicting scheduled changes

The location and content type of related resources